Index: /tests/testKF.cpp
===================================================================
--- /tests/testKF.cpp (revision 28)
+++ /tests/testKF.cpp (revision 32)
@@ -18,5 +18,5 @@
 	it_file fin( "testKF.it" );
 
-	mat Dt, Xt,Xt2,XtE;
+	mat Dt, Xt,Xt2,XtE,Xtf;
 	int Ndat;
 
@@ -42,10 +42,11 @@
 	Xt=zeros( 2,Ndat );
 	Xt2=zeros( 2,Ndat );
+	Xtf=zeros( 2,Ndat );
 	XtE=zeros( 2,Ndat );
 
 //	cout << KF;
-	RV rx("1","{x}","2","0","0");
-	RV ru("2","{u}","1","0","0");
-	RV ry("3","{y}","1","0","0");
+	RV rx("1","{x}","2","0");
+	RV ru("2","{u}","1","0");
+	RV ry("3","{y}","1","0");
 	//
 	Kalman<ldmat> KF(rx,ry,ru);
@@ -65,19 +66,26 @@
 	KFE.set_est(mu0,P0);
 
-	Xt.set_col( 0,*((enorm<ldmat>*)(KF._epdf()))->_mu() );
+	epdf& KFep = KF._epdf();
+	epdf& KFfep = KFf._epdf();
+	epdf& KFEep = KFE._epdf();
+	
+	Xt.set_col( 0,KFep.mean() );
+	Xtf.set_col( 0,KFfep.mean() );
 	Xt2.set_col( 0,KF2.mu );
-	XtE.set_col( 0,*((enorm<ldmat>*)(KFE._epdf()))->_mu() );
+	XtE.set_col( 0,KFEep.mean() );
 	for ( int t=1;t<Ndat;t++ ) {
 		KFf.bayes( Dt.get_col( t ));
 		KF.bayes( Dt.get_col( t ));
 		KF2.bayes( Dt.get_col( t ));
-//		KFE.bayes( Dt.get_col( t ));
-		Xt.set_col(t,*((enorm<ldmat>*)(KF._epdf()))->_mu());
+		KFE.bayes( Dt.get_col( t ));
+		Xt.set_col( t,KFep.mean() );
+		Xtf.set_col( t,KFfep.mean() );
 		Xt2.set_col(t,KF2.mu);
-		XtE.set_col(t,*((enorm<ldmat>*)(KFE._epdf()))->_mu());
+		XtE.set_col( t,KFEep.mean() );
 	}
 
 	it_file fou( "testKF_res.it" );
 	fou << Name("xth") << Xt;
+	fou << Name("xthf") << Xtf;
 	fou << Name("xth2") << Xt2;
 	fou << Name("xthE") << XtE;
Index: /tests/testKF_QR.cpp
===================================================================
--- /tests/testKF_QR.cpp (revision 32)
+++ /tests/testKF_QR.cpp (revision 32)
@@ -0,0 +1,96 @@
+#include <itpp/itbase.h>
+#include <estim/libKF.h>
+#include <estim/libPF.h>
+
+using namespace itpp;
+
+//These lines are needed for use of cout and endl
+using std::cout;
+using std::endl;
+
+int main() {
+	// Klaman filter
+	mat A, B,C,D,R,Q,P0;
+	vec mu0;
+	mat Mu0;// read from matlab
+	// input from Matlab
+	it_file fin( "testKF.it" );
+
+	mat Dt, XRt,eR,eQ;
+	int Ndat;
+
+	bool xxx= fin.seek( "d" );
+	if (!xxx){ it_error("testKF.it not found");}
+	fin >>Dt;
+	fin.seek( "A" ); 
+	fin >> A;
+	fin.seek( "B" ); 
+	fin >> B;
+	fin.seek( "C" ); 
+	fin >> C;
+	fin.seek( "D" ); 
+	fin >> D;
+	fin.seek( "R" ); 
+	fin >> R;
+	fin.seek( "Q" ); fin >> Q;
+	fin.seek( "P0" ); fin >> P0;
+	fin.seek( "mu0" ); fin >> Mu0; 
+	mu0=Mu0.get_col(0);
+	
+	Ndat = Dt.cols();
+	XRt=zeros( 3,Ndat );
+
+//	cout << KF;
+	RV rx("1","{x}","2","0");
+	RV ru("2","{u}","1","0");
+	RV ry("3","{y}","1","0");
+	RV rR("4","{R}","1","0");
+	//
+	KFcondR KF(rx,ry,ru,rR);
+	Kalman<fsqmat> KFtr(rx,ry,ru);
+	Kalman<fsqmat> KFtr2(rx,ry,ru);
+	//correct KF
+	KFtr.set_parameters(A,B,C,D,fsqmat(R),fsqmat(Q));
+	KFtr.set_est(mu0,fsqmat(P0) );
+	// KF with lower R
+	mat Q2=Q/1.0;
+	mat R2=R/20.0;
+	KFtr2.set_parameters(A,B,C,D,fsqmat(R2),fsqmat(Q2));
+	KFtr2.set_est(mu0,fsqmat(P0) );
+	// KF with R unknown
+	KF.set_parameters(A,B,C,D,ldmat(R),ldmat(Q));
+	KF.set_est(mu0,ldmat(P0) );
+	//
+	mgamma evolR(rR,rR);
+	evolR.set_parameters(10.0); //sigma = 1/10 mu
+	
+	MPF<KFcondR > KF_R(rx,rR,evolR,evolR,10,KF);
+	evolR.condition("0.1");
+	epdf& pfinit=evolR._epdf();
+	KF_R.set_est(pfinit);
+	epdf& mpost=KF_R._epdf();
+
+	cout << mpost.mean()<<endl;
+
+	XRt.set_col( 0,mpost.mean());
+	double ll1=0.0;
+	double ll2=0.0;
+	for ( int t=1;t<Ndat;t++ ) {
+//		KF_R.bayes( Dt.get_col( t ));
+		KFtr.bayes( Dt.get_col( t ));
+		KFtr2.bayes( Dt.get_col( t ));
+		
+		ll1+=KFtr._ll();
+		ll2+=KFtr2._ll();
+		
+		XRt.set_col(t,mpost.mean());
+	}
+	
+	cout << ll1 << "  " << ll2 <<endl;
+
+	it_file fou( "testKF_R_res.it" );
+	fou << Name("xqrth") << XRt;
+	//Exit program:
+	return 0;
+
+}
Index: /tests/testPF.cpp
===================================================================
--- /tests/testPF.cpp (revision 19)
+++ /tests/testPF.cpp (revision 32)
@@ -13,5 +13,5 @@
 
 	RV x("1");
-	RV xm=x; xm.t(-1);
+	RV xm=x; xm.t(-1);const
 	RV y("2");
 	
@@ -19,22 +19,22 @@
 	vec vR = "1";
 	ldmat R(vR);
+		
+	eEmp emp(x,10);
+	euni eun(x);
+	eun.set_parameters("0","1");
+	emp.set_parameters(ones(10),&eun);
+	vec &v=emp._w();
+	Array<vec> &S=emp._samples();
 	
+	for (int i=0;i<10;i++){	v(i) = exp(-0.5*sum(pow(S(i)-1,2.0))*10);}
+	v/=sum(v);
 	
-	vec ptc = randn(10);
-	vec w = exp(-0.5*(pow(ptc,2))/0.2);
+	cout << "p:" << S << endl;
+	cout << "w:" << v << endl;
 	
-	cout << "p:" << ptc << endl;
-	cout << "w:" << w << endl;
-	
-	PF pf(w);
-	ivec ind = pf.resample();
+	ivec ind = emp.resample();
 	
 	cout << ind << endl;
-	/*
-	mlnorm<ldmat> obs(x,xm,A,R);
-	mlnorm<ldmat> par(y,x,A,R);
 	
-	TrivialPF TPF(obs,par,10);
-	*/
 	//Exit program:
 	return 0;
Index: /tests/testResample.cpp
===================================================================
--- /tests/testResample.cpp (revision 32)
+++ /tests/testResample.cpp (revision 32)
@@ -0,0 +1,42 @@
+#include <itpp/itbase.h>
+#include <estim/libPF.h>
+#include <math/libDC.h>
+#include <stat/libEF.h>
+
+using namespace itpp;
+
+//These lines are needed for use of cout and endl
+using std::cout;
+using std::endl;
+
+int main() {
+
+	RV x("1");
+	RV xm=x; xm.t(-1);const
+	RV y("2");
+	
+	mat A = "1";
+	vec vR = "1";
+	ldmat R(vR);
+		
+	eEmp emp(x,10);
+	euni eun(x);
+	eun.set_parameters("0","1");
+	emp.set_parameters(ones(10),&eun);
+	vec &v=emp._w();
+	Array<vec> &S=emp._samples();
+	
+	for (int i=0;i<10;i++){	v(i) = exp(-0.5*sum(pow(S(i)-1,2.0))*10);}
+	v/=sum(v);
+	
+	cout << "p:" << S << endl;
+	cout << "w:" << v << endl;
+	
+	ivec ind = emp.resample();
+	
+	cout << ind << endl;
+	
+	//Exit program:
+	return 0;
+
+}
Index: /tests/CMakeLists.txt
===================================================================
--- /tests/CMakeLists.txt (revision 22)
+++ /tests/CMakeLists.txt (revision 32)
@@ -6,5 +6,6 @@
 
 ## Save all needed libraries in variable BdmLibs
-SET(BdmLibs bdm itpp)
+SET(BdmLibs bdm itpp_debug)
+#SET(BdmLibs bdm itpp)
 
 IF(WIN32)
@@ -23,4 +24,7 @@
 add_executable (testPF testPF.cpp)
 add_executable (testSmp testSmp.cpp)
+add_executable (testEpdf testEpdf.cpp)
+add_executable (testResample testResample.cpp)
+add_executable (testKF_QR testKF_QR.cpp)
 
 # Link the executable to the Hello library.
@@ -29,2 +33,5 @@
 target_link_libraries (testPF ${BdmLibs})
 target_link_libraries (testSmp ${BdmLibs})
+target_link_libraries (testEpdf ${BdmLibs})
+target_link_libraries (testResample ${BdmLibs})
+target_link_libraries (testKF_QR ${BdmLibs})
Index: /BDM.kdevelop.filelist
===================================================================
--- /BDM.kdevelop.filelist (revision 28)
+++ /BDM.kdevelop.filelist (revision 32)
@@ -1,4 +1,6 @@
 CMakeLists.txt
+bdm
 bdm/CMakeLists.txt
+bdm/estim
 bdm/estim/libKF.cpp
 bdm/estim/libKF.h
@@ -19,5 +21,8 @@
 tests/CMakeLists.txt
 tests/test0.cpp
+tests/testEpdf.cpp
 tests/testKF.cpp
+tests/testKF_QR.cpp
 tests/testPF.cpp
+tests/testResample.cpp
 tests/testSmp.cpp
Index: /doc/html/classenorm__coll__graph.md5
===================================================================
--- /doc/html/classenorm__coll__graph.md5 (revision 23)
+++ /doc/html/classenorm__coll__graph.md5 (revision 32)
@@ -1,1 +1,1 @@
-30bcd8762324b938e74004bb47d2edfe
+e13cae85b34037ab9a539a7c6bd2272f
Index: /doc/html/libPF_8h__incl.md5
===================================================================
--- /doc/html/libPF_8h__incl.md5 (revision 23)
+++ /doc/html/libPF_8h__incl.md5 (revision 32)
@@ -1,1 +1,1 @@
-a432bbc2bee5b8f6e1ea2af8334adcb3
+49de3bc2d5fcf3e66c14dac34f0a5e69
Index: /doc/html/classegamma__coll__graph.md5
===================================================================
--- /doc/html/classegamma__coll__graph.md5 (revision 32)
+++ /doc/html/classegamma__coll__graph.md5 (revision 32)
@@ -0,0 +1,1 @@
+65b329e06f4a775ad33f99a31cce2bce
Index: /doc/html/classmgamma__coll__graph.md5
===================================================================
--- /doc/html/classmgamma__coll__graph.md5 (revision 32)
+++ /doc/html/classmgamma__coll__graph.md5 (revision 32)
@@ -0,0 +1,1 @@
+88984c29d70bd1bfa84e088cc27ec3d1
Index: /doc/html/classeuni__inherit__graph.md5
===================================================================
--- /doc/html/classeuni__inherit__graph.md5 (revision 32)
+++ /doc/html/classeuni__inherit__graph.md5 (revision 32)
@@ -0,0 +1,1 @@
+923254211440564da45ed1297e33d6dc
Index: /doc/html/classKalman__inherit__graph.md5
===================================================================
--- /doc/html/classKalman__inherit__graph.md5 (revision 23)
+++ /doc/html/classKalman__inherit__graph.md5 (revision 32)
@@ -1,1 +1,1 @@
-a793120a23be6e0a8083db15415045b3
+325927edf6cbe7f4faf28a15528bc694
Index: /doc/html/formula.repository
===================================================================
--- /doc/html/formula.repository (revision 23)
+++ /doc/html/formula.repository (revision 32)
@@ -3,2 +3,3 @@
 \form#2:$A=\frac{d}{du}f(x,u)|_{x0,u0}$
 \form#3:$x \sim epdf(rv)$
+\form#4:\[ f(x|a,b) = \prod f(x_i|a_i,b_i) \]
Index: /doc/html/classenorm__inherit__graph.md5
===================================================================
--- /doc/html/classenorm__inherit__graph.md5 (revision 23)
+++ /doc/html/classenorm__inherit__graph.md5 (revision 32)
@@ -1,1 +1,1 @@
-11dce2d22a9a02cd861d01ba8587e55e
+061248f424677ea931318b513f9bb052
Index: /doc/html/classeEmp__coll__graph.md5
===================================================================
--- /doc/html/classeEmp__coll__graph.md5 (revision 32)
+++ /doc/html/classeEmp__coll__graph.md5 (revision 32)
@@ -0,0 +1,1 @@
+cc752072d4b6558e4c91247619fcd3ef
Index: /doc/html/inherit__graph__7.md5
===================================================================
--- /doc/html/inherit__graph__7.md5 (revision 23)
+++ /doc/html/inherit__graph__7.md5 (revision 32)
@@ -1,1 +1,1 @@
-62e586a60ab5d6ec2e62c8d35cc907c5
+6a326c49441ed1311f9b7f95165a796d
Index: /doc/html/classBM__coll__graph.md5
===================================================================
--- /doc/html/classBM__coll__graph.md5 (revision 32)
+++ /doc/html/classBM__coll__graph.md5 (revision 32)
@@ -0,0 +1,1 @@
+ac463ca14610ad996628c1ab6a01deb9
Index: /doc/html/classemix__inherit__graph.md5
===================================================================
--- /doc/html/classemix__inherit__graph.md5 (revision 32)
+++ /doc/html/classemix__inherit__graph.md5 (revision 32)
@@ -0,0 +1,1 @@
+2cb1b6f2f4f5690f9051813c5e8e56e9
Index: /doc/html/classepdf__inherit__graph.md5
===================================================================
--- /doc/html/classepdf__inherit__graph.md5 (revision 23)
+++ /doc/html/classepdf__inherit__graph.md5 (revision 32)
@@ -1,1 +1,1 @@
-7be3800f050a429d545752f71af4def4
+cb4ef050c276391640ca78baae1d370e
Index: /doc/html/classBMcond__inherit__graph.md5
===================================================================
--- /doc/html/classBMcond__inherit__graph.md5 (revision 32)
+++ /doc/html/classBMcond__inherit__graph.md5 (revision 32)
@@ -0,0 +1,1 @@
+003d99eb8776d72903876cc2391de63a
Index: /doc/html/classEKF__coll__graph.md5
===================================================================
--- /doc/html/classEKF__coll__graph.md5 (revision 28)
+++ /doc/html/classEKF__coll__graph.md5 (revision 32)
@@ -1,1 +1,1 @@
-f0af3ae76b214ecac356cc7e830905d0
+eac9a6977a76313b57f32e85c821e3ad
Index: /doc/html/libEF_8h__incl.md5
===================================================================
--- /doc/html/libEF_8h__incl.md5 (revision 23)
+++ /doc/html/libEF_8h__incl.md5 (revision 32)
@@ -1,1 +1,1 @@
-c1a5815749bd100c7f3b158f97453358
+ffbb543ddc54eeeeed9c27c6bb6e909f
Index: /doc/html/classEKF__inherit__graph.md5
===================================================================
--- /doc/html/classEKF__inherit__graph.md5 (revision 23)
+++ /doc/html/classEKF__inherit__graph.md5 (revision 32)
@@ -1,1 +1,1 @@
-77c3e69c7b4a245413e6ca3492286095
+6a3a1968ec11de621b52f5f8c31928f4
Index: /doc/html/classKFcondQR__inherit__graph.md5
===================================================================
--- /doc/html/classKFcondQR__inherit__graph.md5 (revision 32)
+++ /doc/html/classKFcondQR__inherit__graph.md5 (revision 32)
@@ -0,0 +1,1 @@
+8310b471902abd4d743485a8b24e47af
Index: /doc/html/libEF_8h__dep__incl.md5
===================================================================
--- /doc/html/libEF_8h__dep__incl.md5 (revision 32)
+++ /doc/html/libEF_8h__dep__incl.md5 (revision 32)
@@ -0,0 +1,1 @@
+9092f11a2b73eae58a04b8951e1a1f60
Index: /doc/html/classeEmp__inherit__graph.md5
===================================================================
--- /doc/html/classeEmp__inherit__graph.md5 (revision 32)
+++ /doc/html/classeEmp__inherit__graph.md5 (revision 32)
@@ -0,0 +1,1 @@
+4a533326898d1118c6c721a46c425389
Index: /doc/html/classegamma__inherit__graph.md5
===================================================================
--- /doc/html/classegamma__inherit__graph.md5 (revision 32)
+++ /doc/html/classegamma__inherit__graph.md5 (revision 32)
@@ -0,0 +1,1 @@
+f355e4ec28936da6f5b4038eb90d6f56
Index: /doc/html/classKalman__coll__graph.md5
===================================================================
--- /doc/html/classKalman__coll__graph.md5 (revision 23)
+++ /doc/html/classKalman__coll__graph.md5 (revision 32)
@@ -1,1 +1,1 @@
-311ac5634b4d73b2f2526f463aadb32a
+f6b55f1ef184b48187d2ae6c69a40dd1
Index: /doc/html/inherit__graph__0.md5
===================================================================
--- /doc/html/inherit__graph__0.md5 (revision 23)
+++ /doc/html/inherit__graph__0.md5 (revision 32)
@@ -1,1 +1,1 @@
-6ddb55acb9fa25b72a34fb8e417f1176
+5a16a59059a7d5250d3ace922172c9c3
Index: /doc/html/inherit__graph__4.md5
===================================================================
--- /doc/html/inherit__graph__4.md5 (revision 23)
+++ /doc/html/inherit__graph__4.md5 (revision 32)
@@ -1,1 +1,1 @@
-a3da0188ada230bb8cd4195d4472d1f8
+0a2d27a86fd18936a73bdff2f5d54587
Index: /doc/html/inherit__graph__8.md5
===================================================================
--- /doc/html/inherit__graph__8.md5 (revision 32)
+++ /doc/html/inherit__graph__8.md5 (revision 32)
@@ -0,0 +1,1 @@
+a3da0188ada230bb8cd4195d4472d1f8
Index: /doc/html/classMPF__coll__graph.md5
===================================================================
--- /doc/html/classMPF__coll__graph.md5 (revision 32)
+++ /doc/html/classMPF__coll__graph.md5 (revision 32)
@@ -0,0 +1,1 @@
+1d0defc88319ad812070eb3c2f66d54c
Index: /doc/html/classPF__coll__graph.md5
===================================================================
--- /doc/html/classPF__coll__graph.md5 (revision 23)
+++ /doc/html/classPF__coll__graph.md5 (revision 32)
@@ -1,1 +1,1 @@
-65c7526e0e83e6179c68c2ff1e032261
+e31b6f167e746dc075ed1135d9514c9e
Index: /doc/html/classeEF__inherit__graph.md5
===================================================================
--- /doc/html/classeEF__inherit__graph.md5 (revision 23)
+++ /doc/html/classeEF__inherit__graph.md5 (revision 32)
@@ -1,1 +1,1 @@
-82b61acbe4ec3fc52032591427413f2c
+d73db8afd837987ace121c0c28affb22
Index: /doc/html/classPF__inherit__graph.md5
===================================================================
--- /doc/html/classPF__inherit__graph.md5 (revision 23)
+++ /doc/html/classPF__inherit__graph.md5 (revision 32)
@@ -1,1 +1,1 @@
-56c339d57be27eb168d655762c7340cf
+1d95eb517c724597222e38b5557f51e1
Index: /doc/html/classmpdf__coll__graph.md5
===================================================================
--- /doc/html/classmpdf__coll__graph.md5 (revision 23)
+++ /doc/html/classmpdf__coll__graph.md5 (revision 32)
@@ -1,1 +1,1 @@
-6f3f8686fa33512cb157ef3d03b643be
+8c71f87af6165717b18383921af58e33
Index: /doc/html/libKF_8h__incl.md5
===================================================================
--- /doc/html/libKF_8h__incl.md5 (revision 23)
+++ /doc/html/libKF_8h__incl.md5 (revision 32)
@@ -1,1 +1,1 @@
-60d5f9757a0e782891a97a13b81bee62
+01eaba2003c36d4e3ad3a3f82c883e36
Index: /doc/html/inherit__graph__5.md5
===================================================================
--- /doc/html/inherit__graph__5.md5 (revision 23)
+++ /doc/html/inherit__graph__5.md5 (revision 32)
@@ -1,1 +1,1 @@
-4ec67ed9bfbeec9d7c9512621ecf6798
+7b75c696d6f003b2cd117eba359cd671
Index: /doc/html/inherit__graph__9.md5
===================================================================
--- /doc/html/inherit__graph__9.md5 (revision 32)
+++ /doc/html/inherit__graph__9.md5 (revision 32)
@@ -0,0 +1,1 @@
+4ec67ed9bfbeec9d7c9512621ecf6798
Index: /doc/html/libBM_8h__dep__incl.md5
===================================================================
--- /doc/html/libBM_8h__dep__incl.md5 (revision 23)
+++ /doc/html/libBM_8h__dep__incl.md5 (revision 32)
@@ -1,1 +1,1 @@
-567b476638c518afc6dfe7675e690d09
+9450d1c1c6cb8874759b57546121f5bc
Index: /doc/html/classemix__coll__graph.md5
===================================================================
--- /doc/html/classemix__coll__graph.md5 (revision 32)
+++ /doc/html/classemix__coll__graph.md5 (revision 32)
@@ -0,0 +1,1 @@
+9e6f3bc93d6cc8dd8296a99a3c0e2409
Index: /doc/html/libDC_8h__dep__incl.md5
===================================================================
--- /doc/html/libDC_8h__dep__incl.md5 (revision 23)
+++ /doc/html/libDC_8h__dep__incl.md5 (revision 32)
@@ -1,1 +1,1 @@
-c66b92351d16bb545936e84544bf9b08
+af1628bdb61076f77cc978dc7d907f6c
Index: /doc/html/classBMcond__coll__graph.md5
===================================================================
--- /doc/html/classBMcond__coll__graph.md5 (revision 32)
+++ /doc/html/classBMcond__coll__graph.md5 (revision 32)
@@ -0,0 +1,1 @@
+8aa2deab75334544b34b1ec48632c8d7
Index: /doc/html/inherit__graph__10.md5
===================================================================
--- /doc/html/inherit__graph__10.md5 (revision 32)
+++ /doc/html/inherit__graph__10.md5 (revision 32)
@@ -0,0 +1,1 @@
+554ffcb41cff5d0ed282be0df9ae4801
Index: /doc/html/classBM__inherit__graph.md5
===================================================================
--- /doc/html/classBM__inherit__graph.md5 (revision 23)
+++ /doc/html/classBM__inherit__graph.md5 (revision 32)
@@ -1,1 +1,1 @@
-09290a43928c25020995e8eec85fd9e3
+a493f13403a1fdc9e18ef6dd14c8788c
Index: /doc/html/inherit__graph__2.md5
===================================================================
--- /doc/html/inherit__graph__2.md5 (revision 23)
+++ /doc/html/inherit__graph__2.md5 (revision 32)
@@ -1,1 +1,1 @@
-304615ef75d0480a4f0ff9a58219682d
+8d99e703fbd55fffd522f941456a35c3
Index: /doc/html/inherit__graph__6.md5
===================================================================
--- /doc/html/inherit__graph__6.md5 (revision 23)
+++ /doc/html/inherit__graph__6.md5 (revision 32)
@@ -1,1 +1,1 @@
-554ffcb41cff5d0ed282be0df9ae4801
+0fa673075ae47447cfbc35d3b13cd688
Index: /doc/html/classMPF__inherit__graph.md5
===================================================================
--- /doc/html/classMPF__inherit__graph.md5 (revision 32)
+++ /doc/html/classMPF__inherit__graph.md5 (revision 32)
@@ -0,0 +1,1 @@
+b929002be13684c7c3c85b9261bb793f
Index: /doc/html/classeuni__coll__graph.md5
===================================================================
--- /doc/html/classeuni__coll__graph.md5 (revision 32)
+++ /doc/html/classeuni__coll__graph.md5 (revision 32)
@@ -0,0 +1,1 @@
+919724c52af7ddc5f3b5716a33856507
Index: /doc/html/classKFcondQR__coll__graph.md5
===================================================================
--- /doc/html/classKFcondQR__coll__graph.md5 (revision 32)
+++ /doc/html/classKFcondQR__coll__graph.md5 (revision 32)
@@ -0,0 +1,1 @@
+c037f96f6acaf7212d22ff8082ee3436
Index: /BDM.kdevelop
===================================================================
--- /BDM.kdevelop (revision 28)
+++ /BDM.kdevelop (revision 32)
@@ -5,6 +5,6 @@
   <projectdirectory>/home/smidl/work/mixpp</projectdirectory>
   <absoluteprojectpath>true</absoluteprojectpath>
-    <author/>
-    <email/>
+    <author></author>
+    <email></email>
     <version>$VERSION$</version>
     <primarylanguage>C++</primarylanguage>
@@ -14,6 +14,6 @@
     </secondaryLanguages>
     <projectname>BDM</projectname>
-    <description/>
-    <defaultencoding/>
+    <description></description>
+    <defaultencoding></defaultencoding>
     <versioncontrol>kdevsubversion</versioncontrol>
   </general>
@@ -21,12 +21,12 @@
     <filelistdirectory>/home/smidl/work/mixpp</filelistdirectory>
     <run>
-      <mainprogram>/home/smidl/work/mixpp/tests/testKF</mainprogram>
+      <mainprogram>/home/smidl/work/mixpp/tests/testKF_QR</mainprogram>
       <directoryradio>custom</directoryradio>
       <customdirectory>/home/smidl/work/mixpp</customdirectory>
-      <programargs/>
+      <programargs></programargs>
       <terminal>false</terminal>
       <autocompile>true</autocompile>
       <envvars/>
-      <globaldebugarguments/>
+      <globaldebugarguments></globaldebugarguments>
       <globalcwd>/home/smidl/work/mixpp</globalcwd>
       <useglobalprogram>false</useglobalprogram>
@@ -42,5 +42,5 @@
       <numberofjobs>0</numberofjobs>
       <dontact>false</dontact>
-      <makebin/>
+      <makebin></makebin>
       <selectedenvironment>default</selectedenvironment>
       <environments>
@@ -48,6 +48,6 @@
       </environments>
       <prio>0</prio>
-      <defaulttarget/>
-      <makeoptions/>
+      <defaulttarget></defaulttarget>
+      <makeoptions></makeoptions>
     </make>
     <filetypes>
@@ -70,7 +70,7 @@
     <other>
       <prio>0</prio>
-      <otherbin/>
-      <defaulttarget/>
-      <otheroptions/>
+      <otherbin></otherbin>
+      <defaulttarget></defaulttarget>
+      <otheroptions></otheroptions>
       <selectedenvironment>default</selectedenvironment>
       <environments>
@@ -144,5 +144,5 @@
     </qt>
     <creategettersetter>
-      <prefixGet/>
+      <prefixGet></prefixGet>
       <prefixSet>set</prefixSet>
       <prefixVariable>m_,_</prefixVariable>
@@ -177,9 +177,9 @@
   <projectdirectory>/home/smidl/work/mixpp</projectdirectory>
   <absoluteprojectpath>true</absoluteprojectpath>
-      <gdbpath/>
-      <dbgshell/>
-      <configGdbScript/>
-      <runShellScript/>
-      <runGdbScript/>
+      <gdbpath></gdbpath>
+      <dbgshell></dbgshell>
+      <configGdbScript></configGdbScript>
+      <runShellScript></runShellScript>
+      <runGdbScript></runGdbScript>
       <breakonloadinglibs>true</breakonloadinglibs>
       <separatetty>false</separatetty>
Index: /gdb_bdm
===================================================================
--- /gdb_bdm (revision 32)
+++ /gdb_bdm (revision 32)
@@ -0,0 +1,52 @@
+# This file defines handy gdb macros for printing out ITPP types
+# To use it, add this line to your ~/.gdbinit :
+# source gdb_bdm
+
+define dm
+   set $i=0
+
+   set $M = $arg0
+   set $rs = $M.no_rows
+   set $col = $M.no_cols
+
+   while $i < $rs
+     set $j=0
+     printf "["
+     while $j< $col
+        printf "%f,", $M.data[$j*$col+$i]
+        set $j++
+     end
+     printf "]"
+     printf "\n"
+     set $i++
+   end
+end
+
+define dme
+   set $i=0
+
+   set $M = $arg0
+   set $rs = $M.no_rows
+   set $col = $M.no_cols
+
+   while $i < $rs
+     set $j=0
+     printf "["
+     while $j< $col
+        printf "%e,", $M.data[$j*$col+$i]
+        set $j++
+     end
+     printf "]"
+     printf "\n"
+     set $i++
+   end
+end
+
+define dv
+    print $arg0.data[0]@($arg0.datasize)
+end
+
+define dl
+   dm $M.L
+   dv $M.D
+end
